Bug 67659 - Resizing/Moving a window in KDE locks the desktop
Resizing/Moving a window in KDE locks the desktop
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-28 13:45 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:33:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my .xsession-errors log file (2.56 KB, text/plain)
2002-06-28 13:46 EDT, Need Real Name
no flags Details
The output of "dmesg" for the system hardware information (7.78 KB, text/plain)
2002-07-02 12:31 EDT, Need Real Name
no flags Details
The hard drive configuration (from the output of "mount") (374 bytes, patch)
2002-07-02 12:38 EDT, Need Real Name
no flags Details | Diff
The installed packages on the system (from "rpm -qa"). Sorted alphabetically (17.72 KB, patch)
2002-07-02 12:39 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2002-06-28 13:45:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
I installed redhat 7.3 (drives reformated and checked).  After I installed I 
started up in graphical mode and logged into a KDE 3 session.  In KDE, whenever 
I try to move or resize a window, the desktop locks up.  My mouse still moves, 
the keyboard still accepts characters (i.e. <ctrl><alt><bksp> will restart X), 
but no part of the desktop environment will accept an input.  Restarting the X 
server is my only recourse.  If I use GNOME, I do not experience this. I also 
did not experience this using Red Hat 7.2 and KDE 2.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Log into an X session using KDE 3 window manager
2. Start a terminal shell window
3. Grab the title bar and attempt to move the window
	

Actual Results:  The KDE desktop locks and stops accepting input

Expected Results:  No lockup should occur, the window should move.

Additional info:

The attached file was obtained by deleting all lines in the .xsession-errors 
file, restarting the X-server and following the procedures to obtain the 
crash.  I then failed back to a terminal window (<ctrl><alt><F1>) and copied 
the .xsession-errors file to an alternate location.
Comment 1 Need Real Name 2002-06-28 13:46:26 EDT
Created attachment 63065 [details]
my .xsession-errors log file
Comment 2 Bernhard Rosenkraenzer 2002-07-01 07:12:15 EDT
Not reproducable on any of our machines. 
What type of hardware (graphics chipset etc.) are you using? 
Can you reproduce this on any other machine?
Comment 3 Need Real Name 2002-07-01 10:32:39 EDT
July 1st is a holiday in Canada.  More info will come later.

It's a generic PIII 500MHz clone with 512MB of RAM.  Matrox G400 graphics card 
with 16MB of RAM. SCSI (onboard adaptec controller) and IDE drives.

I have not installed this product on any other computers.  I was waiting to see 
how it worked on our main Linux system first.

Rob.
Comment 4 Need Real Name 2002-07-02 12:31:58 EDT
Created attachment 63404 [details]
The output of "dmesg" for the system hardware information
Comment 5 Need Real Name 2002-07-02 12:38:34 EDT
Created attachment 63405 [details]
The hard drive configuration (from the output of "mount")
Comment 6 Need Real Name 2002-07-02 12:39:49 EDT
Created attachment 63406 [details]
The installed packages on the system (from "rpm -qa").  Sorted alphabetically
Comment 7 Need Real Name 2002-07-02 12:48:11 EDT
I've attached several files which I hope can help.  These are the output of 
dmesg (which I hope provides all the information you need about the hardware of 
the system), my drive configuration, and a list of the installed packages on my 
system.  I am hoping that, along with the the xsession-errors messages, these 
can help us solve the problems that I am experiencing.  Please advise as to 
what other things you may need from me to solve this problem.

I am a C programmer and could possibly do some debug work but I've never delved 
into Linux or the KDE/GNOME/X sources in the past.  Some help would be needed 
if you wish me to persue this path.

Rob.
Comment 8 Need Real Name 2002-07-04 17:44:41 EDT
I have determined the underlying cause of the lock-up.

To be able to repeat the problem (for me anyway).  Change your current locale 
(and KDE desktop locale, these are not the same) to chinese-simplified (needed 
for my companies clients).  When I do this, resizing or moving any window will 
imediately cause the KDE desktop to lock up.

As soon as I change the system/desktop locale back to my home locale (canadian 
english), the desktop behaves normally.

Rob.
Comment 9 Bill Nottingham 2006-10-18 14:33:55 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.